| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLightIterator Struct Reference
[Lighting, Lighting]

Iterator to iterate over all static lights in the engine. More...

`#include <iengine/light.h>`

Inheritance diagram for iLightIterator:

[legend]
List of all members.

## Public Member Functions
virtual iSector * | GetLastSector ()=0
| Get the sector for the last fetched light.
virtual bool | HasNext ()=0
| Return true if there are more elements.
virtual iLight * | Next ()=0
| Get light from iterator. Return 0 at end.
virtual void | Reset ()=0
| Restart iterator.

## Detailed Description

Iterator to iterate over all static lights in the engine.

This iterator assumes there are no fundamental changes in the engine while it is being used. If changes to the engine happen the results are unpredictable.

Main creators of instances implementing this interface:

- iEngine::GetLightIterator()

Main users of this interface:

- Application.

Definition at line 530 of file light.h.

## Member Function Documentation

virtual iSector* iLightIterator::GetLastSector | ( |  | ) | `[pure virtual]`

Get the sector for the last fetched light.

virtual bool iLightIterator::HasNext | ( |  | ) | `[pure virtual]`

Return true if there are more elements.

virtual iLight* iLightIterator::Next | ( |  | ) | `[pure virtual]`

Get light from iterator. Return 0 at end.

virtual void iLightIterator::Reset | ( |  | ) | `[pure virtual]`

Restart iterator.

The documentation for this struct was generated from the following file:

- iengine/light.h